<?php
/**
 * Woocommerce
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */

/**
 * Make theme WooCommerce ready
 */
remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);
remove_action( 'woocommerce_before_main_content','woocommerce_breadcrumb', 20 );

add_filter( 'woocommerce_show_page_title', 'elead_pro_show_title' );
if ( ! function_exists( 'elead_pro_show_title' ) ) :
	function elead_pro_show_title() {
		return;
	}
endif;

add_action('woocommerce_before_main_content', 'elead_pro_primary_content_start', 20);
if ( ! function_exists( 'elead_pro_primary_content_start' ) ) :
	function elead_pro_primary_content_start() {
		echo '<div class="wrapper page-section">
	    		<div id="primary" class="content-area">
					<main id="main" class="site-main" role="main">
						<div id="archive-blog-wrapper" class="archive-blog-wrapper clear col-3">';
	}
endif;

add_action('woocommerce_after_main_content', 'elead_pro_primary_content_end', 10);
add_action('woocommerce_sidebar', 'elead_pro_page_section_end', 20);

if ( ! function_exists( 'elead_pro_primary_content_end' ) ) :
	function elead_pro_primary_content_end() {
		echo '</div></main></div>';
	}
endif;

if ( ! function_exists( 'elead_pro_page_section_end' ) ) :
	function elead_pro_page_section_end() {
		echo '</div>';
	}
endif;
